"use strict";
this.name	= "lasercooler-conditions";
this.author	= "Norby";
this.copyright   = "2013 Norbert Nagy";
this.licence     = "CC BY-NC-SA 4.0";
this.description = "This equipment is usable only for ships over 130t like the Cobra Mark III.";

this.allowAwardEquipment = function(equipment, ship, context)
{
	// OXP hook to allow stations to forbid specific equipment
	if (context == "purchase" && player.ship.dockedStation && player.ship.dockedStation.scriptInfo["oolite-barred-equipment"])
	{
		if (player.ship.dockedStation.scriptInfo["oolite-barred-equipment"].indexOf(equipment) != -1)
		{
			return false;
		}
	}

	// OXP hook to allow ships to forbid specific "available to all" equipment
	if (ship.scriptInfo && ship.scriptInfo["oolite-barred-equipment"] && ship.scriptInfo["oolite-barred-equipment"].indexOf(equipment) != -1)
	{
		return false;
	}

//	player.consoleMessage( eqKey+" "+ship+" "+context );//debug

	//for large ships only like Cobra Mark III
	if( ship.mass < 130000 ) {
		return false;
	}
	
//	if( equipment == "EQ_WEAPON_LASER_COOLER" && context != "scripted" ) return false;
//	if( equipment == "EQ_WEAPON_LASER_COOLER" ) {
//		log(this.name,  context +" "+equipment+" "+ship);
//		if( context != "scripted" ) return false;
//	}

	return true;
}